cURL
curl --request GET \
--url https://firstpromoter.com/api/v1/reports/overview \
--header 'X-API-KEY: <api-key>'import requests
url = "https://firstpromoter.com/api/v1/reports/overview"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://firstpromoter.com/api/v1/reports/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"revenue_amount": "$613.17",
"clicks_count": 100,
"referrals_count": 60,
"customers_count": 30,
"period": "Sep 2024"
}
]"Bad credentials"{
"message": "Selected Fields invalid !",
"code": "invalid_params"
}Reports
Overview reports
With this endpoint you can get an overview across all your campaigns and promoters. Data is updated every
15 minutesHTTP Request
GET https://firstpromoter.com/api/v1/reports/overview GET
/
overview
cURL
Authorizations
Query Parameters
An array of fields to return on the response. By default selected fields are revenue_amount, clicks_count, referrals_count, customers_count, promoter_earnings_amount.
Available options:
revenue_amount, clicks_count, referrals_count, customers_count, active_customers, monthly_churn, net_revenue_amount, sales_count, refunds_count, cancelled_customers_count, promoter_earnings_amount, non_link_customers, referrals_to_customers_cr, 3m_epc, 6m_epc, clicks_to_customers_cr, clicks_to_referrals_cr, promoter_paid_amount Field used for sorting. If not passed, it takes the first field from selected_fields[]
Available options:
revenue_amount, clicks_count, referrals_count, customers_count, active_customers, monthly_churn, net_revenue_amount, sales_count, refunds_count, cancelled_customers_count, promoter_earnings_amount, non_link_customers, referrals_to_customers_cr, 3m_epc, 6m_epc, clicks_to_customers_cr, clicks_to_referrals_cr, promoter_paid_amount Sorting direction. By default is desc.
Available options:
asc, desc Period to group by. By default is month. For day grouping, reporting period span is limited at 90 days
Available options:
day, month, year Beginning of reporting period. Default is set as 12 months ago
End of reporting period. Default is set as today